'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = hoistNonReactStatics;
var RAX_STATICS = {
  childContextTypes: true,
  contextTypes: true,
  defaultProps: true,
  displayName: true,
  propTypes: true,
  type: true
};

var KNOWN_STATICS = {
  name: true,
  length: true,
  prototype: true,
  caller: true,
  arguments: true,
  arity: true
};

function hoistNonReactStatics(targetComponent, sourceComponent) {
  if (typeof sourceComponent !== 'string') {
    var keys = Object.getOwnPropertyNames(sourceComponent);
    for (var i = 0; i < keys.length; ++i) {
      if (!RAX_STATICS[keys[i]] && !KNOWN_STATICS[keys[i]]) {
        try {
          targetComponent[keys[i]] = sourceComponent[keys[i]];
        } catch (error) {}
      }
    }
  }

  return targetComponent;
}
module.exports = exports['default'];